org.apache.felix.deploymentadmin

## Class NonCloseableStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.felix.deploymentadmin.NonCloseableStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class NonCloseableStream
    extends InputStream

Stream that does nothing when close() is invoked, calls to one of the read methods will throw an `IOException` after close() is called. Also, mark/reset is not supported. Deployment Admin can use this class to pass on as an `InputStream` to a resource processor.

### Constructor Summary

Constructors
Constructor and Description
`NonCloseableStream(InputStream input)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NonCloseableStream

    public NonCloseableStream(InputStream input)

### Method Detail

#### available

    public int available()
                  throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### mark

    public void mark(int readlimit)

Overrides:
  `mark` in class `InputStream`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `InputStream`
Throws:
  `IOException`

#### skip

    public long skip(long n)
              throws IOException

Overrides:
  `skip` in class `InputStream`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`